Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.validators.schema
Class SubstitutionGroupComparator

    java.lang.Object
      |
      +--weblogic.apache.xerces.validators.schema.SubstitutionGroupComparator

public class SubstitutionGroupComparator
extends java.lang.Object

Constructor Summary
`SubstitutionGroupComparator(GrammarResolver grammarResolver, StringPool stringPool, XMLErrorReporter errorReporter)`

Method Summary
`XMLErrorReporter` | `getErrorReporter()`
`StringPool` | `getStringPool()`
`boolean` | `isAllowedByWildcard(QName element, int wuri, boolean wother)` check whether one element or any element in its substitution group is allowed by a given wildcard uri
`boolean` | `isEquivalentTo(QName anElement, QName exemplar)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubstitutionGroupComparator

    public SubstitutionGroupComparator(GrammarResolver grammarResolver,
                                       StringPool stringPool,
                                       XMLErrorReporter errorReporter)

Method Detail

### getStringPool

    public StringPool getStringPool()

### getErrorReporter

    public XMLErrorReporter getErrorReporter()

### isEquivalentTo

    public boolean isEquivalentTo(QName anElement,
                                  QName exemplar)
                           throws java.lang.Exception

### isAllowedByWildcard

    public boolean isAllowedByWildcard(QName element,
                                       int wuri,
                                       boolean wother)
                                throws java.lang.Exception

  check whether one element or any element in its substitution group is allowed by a given wildcard uri

  Parameters:
    `element` - the QName of a given element
    `wuri` - the uri of the wildcard
    `wother` - whether the uri is from ##other, so wuri is excluded
  Returns:
    whether the element is allowed by the wildcard

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference